
%global meadversion 2.12.6
%global namedversion 2.12.6.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-annotations}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.12.6.redhat-00001

Name:           %{?scl_prefix}jackson-annotations
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson-annotations
Group:          Development/Java

%if %with mead
Source100: jackson-annotations-2.12.6.redhat-00001-project-sources.tar.gz
Source102: jackson-annotations-2.12.6.redhat-00001.pom
Source103: jackson-annotations-2.12.6.redhat-00001-sources.jar
Source104: jackson-annotations-2.12.6.redhat-00001.jar
Source105: jackson-annotations-2.12.6.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://github.com/FasterXML/jackson
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-annotations-%{namedversion}-%{release}-root

%description
Core annotations used for value types, used by Jackson data binding package.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-annotations
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -c -n jackson-annotations-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-annotations-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-annotations-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-annotations-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-annotations-%{namedversion} %{buildroot}%{_javadocdir}/jackson-annotations
%endif

# docs
%{__mkdir_p} %{buildroot}/%{_docdir}/%{pkg_name}
#%{_builddir}/ is different on el7 and el8 using "%setup -c"
%{__cp} -p $(find %{_builddir}/ -name LICENSE -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name README.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name VERSION-2.x -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}

%{_javadir}/jackson-annotations-%{namedversion}.jar
%{_javadir}/jackson-annotations.jar
%if %with javadoc
%{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jackson-annotations-javadoc.jar
%else
%exclude %{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-annotations-javadoc.jar
%endif
%{_javadir}/jackson-annotations-%{namedversion}-sources.jar
%{_javadir}/jackson-annotations-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-annotations-%{namedversion}
%{_javadocdir}/jackson-annotations
%endif

%changelog
* Wed Apr 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.12.6-1.redhat_00001.1
Built by CPaaS



* Tue May 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.12.1-1.redhat_00001.1
Built by CPaaS

* Tue May 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.11.3-2.redhat_00001.1
Built by CPaaS

* Wed Feb 10 2021 Permaine Cheung <pcheung@redhat.com> - 2.11.3-1.redhat_00001.1
- 2.11.3.redhat-00001

* Tue Feb 09 2021 Permaine Cheung <pcheung@redhat.com> - 2.11.3-1.redhat_00001.1
- 2.11.3.redhat-00001

* Mon Feb 08 2021 Permaine Cheung <pcheung@redhat.com> - 2.11.3-1.redhat_00001.1
- 2.11.3.redhat-00001

* Mon Nov 23 2020 Permaine Cheung <pcheung@redhat.com> - 2.10.5-2.redhat_00002.1
- 2.10.5.redhat-00002

* Tue Oct 13 2020 Yong Yang <yyang@redhat.com> - 2.10.5-1.redhat_00001.1
- RPM wrapper build 2.10.5.redhat-00001

* Mon May 25 2020 Yong Yang <yyang@redhat.com> - 2.10.4-1.redhat_00001.1
- RPM wrapper build 2.10.4.redhat-00001

* Mon Feb 10 2020 Yong Yang <yyang@redhat.com> - 2.10.1-1.redhat_00001.1
- RPM wrapper build 2.10.1.redhat-00001

* Mon Feb 10 2020 Yong Yang <yyang@redhat.com> - 2.10.1-1.redhat_00001.1
- RPM wrapper build 2.10.1.redhat-00001

* Wed Oct 09 2019 Yong Yang <yyang@redhat.com> - 2.9.10-1.redhat_00003.1
- RPM wrapper build 2.9.10.redhat-00003

* Thu Oct 03 2019 Yong Yang <yyang@redhat.com> - 2.9.9-2.redhat_00001.1
- RPM wrapper build 2.9.10.redhat-00003

* Mon Jun 17 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.9-1.redhat_00001.1
- 2.9.9.redhat-00001

* Wed Mar 06 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.8-2.redhat_00004.1
- 2.9.8.redhat-00004

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Mon Jan 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.redhat_1.1
- upgrade to 2.8.11.redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.8.9-1.redhat_1.1
- upgrade to 2.8.9.redhat-1

* Mon Feb 06 2017 Petr Sakar <psakar@redhat.com> - 2.8.6-1.redhat_1.1
- upgrade to 2.8.6.redhat-1

* Fri Feb 03 2017 Petr Sakar <psakar@redhat.com> - 2.8.5-1.redhat_1.1
- upgrade to 2.8.5.redhat-1

* Mon Oct 17 2016 Filip Kujikis <fkujikis@redhat.com> - 2.8.3-1.redhat_1.1
- prod build of upstream tag jackson-databind-2.8.3

* Thu Aug 11 2016 Petr Sakar <psakar@redhat.com> - 2.7.4-1.redhat_1.1
- upgrade to 2.7.4.redhat-1

* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.5.4-1.redhat_1.1
- 2.5.4

* Tue Aug 04 2015 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_1.1
- 2.5.2

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- release

